IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'RECE_WS_Aprobador')
BEGIN
	INSERT INTO xParametros (SetDatos,IdParametro,Descripcion,TipoDato,Valor_Integer,NOTA)
	VALUES (1,'RECE_WS_Aprobador','RECE: Indica que WebService AFIP utilizar para aprobar comprobantes electr.','INTEGER',0,'RECE: Indica que WebService de AFIP utilizar para aprobar comprobantes electronicos. (0 Por Defecto): WSFev1 (RECE para Aplicativo WebService, para regimen RG2485). 1: WSTXCA (con codificacion de Producto, para regimen RG2904). 2: UYDGIAC (Uruguay DGI a traves de W.S. Arnaldo Castro)')
END
ELSE
BEGIN
	UPDATE xParametros
	SET
	Nota = 'RECE: Indica que WebService de AFIP utilizar para aprobar comprobantes electronicos. (0 Por Defecto): WSFev1 (RECE para Aplicativo WebService, para regimen RG2485). 1: WSTXCA (con codificacion de Producto, para regimen RG2904). 2: UYDGIAC (Uruguay DGI a traves de W.S. Arnaldo Castro)'
	WHERE
	IdParametro = 'RECE_WS_Aprobador'
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'RECE_WS_UYDGIAC_Usu')
BEGIN
	INSERT INTO xParametros (SetDatos,IdParametro,Descripcion,TipoDato,Valor_String,NOTA)
	VALUES (1,'RECE_WS_UYDGIAC_Usu','RECE: (Uruguay DGI Arnaldo Castro) Usuario para acceder W.S.','STRING','','RECE: (Uruguay DGI Arnaldo Castro) Usuario para acceder W.S.')
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'RECE_WS_UYDGIAC_Pass')
BEGIN
	INSERT INTO xParametros (SetDatos,IdParametro,Descripcion,TipoDato,Valor_String,NOTA)
	VALUES (1,'RECE_WS_UYDGIAC_Pass','RECE: (Uruguay DGI Arnaldo Castro) Password para acceder W.S.','STRING','','RECE: (Uruguay DGI Arnaldo Castro) Password para acceder W.S.')
END
GO